[Splashy-devel] Bug#473112: Bug#473112: splashy: breaks udev - log_daemon_msg does not play well with -e switch from udev script

John Hughes john at Calva.COM
Fri Mar 28 14:58:53 UTC 2008


Alban Browaeys wrote:
> udev use sh -e and fails in log_daemon_msg because pidof splashy fails .
> The patch fix it (this only happens when splashy is started from
> initramfs though the fix is rational in any case). 
>   
the patch:

--- lsb-base-logging.sh.orig	2008-03-28 13:28:53.000000000 +0100
+++ lsb-base-logging.sh	2008-03-28 13:26:57.000000000 +0100
@@ -114,7 +114,7 @@
     # Splashy code 
    
     # send log to splashy. it will show if F2 is pressed
-    pidof splashy > /dev/null && splashy_update "scroll $1: $2"
+    pidof splashy > /dev/null && splashy_update "scroll $1: $2" || true
 
     # Stop splashy on *dm
     case $2 in 

So it would be simpler to get rid of the "pidof splashy" call:

    splashy_update "scroll $1: $2" 2>/dev/null || true
      

But doing some tests it looks like most (all?) shells don't treat a
command that contains && as an error:

    $ cat zztest
    set -e
    pidof noprog && echo "noprog running"
    echo no error
    $ sh -x zztest
    + set -e
    + pidof noprog
    + echo no error
    no error
      

Maybe there is some other problem?

Maybe it's splashy_update that's failing?






More information about the Splashy-devel mailing list